Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 182221 - Please Understand Why My Wife Can't Stand Mozilla
: Please Understand Why My Wife Can't Stand Mozilla
Product: Tech Evangelism Graveyard
Classification: Graveyard
Component: English US (show other bugs)
: unspecified
: x86 Windows 2000
: -- critical
: ---
Assigned To: Katsuhiko Momoi
: Jon Rubin
Depends on:
  Show dependency treegraph
Reported: 2002-11-27 06:41 PST by Michael D. Crawford
Modified: 2015-04-19 23:39 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Description Michael D. Crawford 2002-11-27 06:41:11 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.0.0) Gecko/20020622 Debian/1.0.0-0.woody.1
Build Identifier: 1.1

Please understand that I am submitting this in all seriousness.  I am trying to
help you succeed.  This is not a troll.

My original post is here in the Slashdot announcement of 1.2:

I guess the moderators thought I was trying to be insulting, so I got moderated
as off-topic and overrated.  Go figure.

Here is the full text of my post.  Click the link above to read the witty followups.
 My wife has been doing a lot of HTML coding lately. She also does a lot of
general browsing on the net.

She can't stand Mozilla. She understands very well why she should avoid IE. But
she only uses Mozilla when she absolutely has to, for example to check for
interoperability after completing a web page that she wrote while using mostly
using IE.

Why? Because she experiences so many bugs with it. The bugs make Mozilla
unusable to her. She's not a software developer. She's a regular user of the
sort that applications like this are targeting.

She understands very well that her machine can get hacked if she uses IE. But
crashes and usability problems happen to her several times a day when she uses
Mozilla. The risk of getting hacked seems somewhat theoretical and remote. The
crashes and loss of data (for example, forum postings being composed in web
forms) are frequent and completely intolerable.

Today I sent her a link to that BBC article that said you shouldn't use IE
because of the security holes that are used by spyware and adware. I had
observed her using IE a lot lately and wanted her to really understand why she
should avoid it. Unfortunately I didn't anticipate how she would react.

She was completely distraught. I looked over at her sitting at her computer this
evening and she had tears running down her face, quietly crying. The reason was
that she didn't know how she was going to be able to browse the web anymore,
because I had just told her in quite a loud way (using the BBC article) why she
shouldn't use IE, but she also finds Mozilla completely useless.

I had put her in a bind. She didn't see a way out.

The way I consoled her and resolved the bind was to tell her to go ahead and use
IE. She doesn't have much data on her drive that would be a problem if someone
stole it, and if she gets hacked I'll reformat the drive and reinstall Win2k.

Meanwhile I told her I would download the new mozilla and test it for her. I was
pleasantly surprised to find 1.2 released tonight - I hadn't wanted to give her
a beta. So I got it downloaded before the rush.

My fear, though, is that her bugs are not fixed. There are just a few bugs that
give her repeated trouble. Tonight she had a repeated crash, one time when she
had sixteen windows open while researching medical journal literature, and she
had hard time finding her pages again.

Talkback kept popping up and made her really upset because it made it so she
couldn't just relaunch Mozilla. I knew that the talkback logs would help the
developers get the bugs fixed, but if my wife was to use Mozilla at all I had to
show her how to disable talkback.

I'd like to make the polite suggestion that the Mozilla developers focus
somewhat less on flashy features and somewhat more strongly on stability and
basic usability.

I've got lots of bugs in both reliability and usability on the Linux mozilla I
use on my Mac, but I have a greater tolerance for it because I'm a developer,
and I'm committed to making open source work. My wife, on the other hand, uses
Mozilla because I plead with her to do so. It would be nice if Mozilla didn't
make her life miserable.

I convinced her recently to make a serious try at switching from windows to
Linux. That's a big step - I've been trying to do that for several years. She
hasn't tried it yet because I'm going to have to spend some time configuring a
system with the right setup to be able to accomplish all the tasks she wants
while also being very usable and reliable. I'm going to really spend some time
trying to make her transition as comfortable as possible.

While she was upset tonight she told me that the reason she said she would try
Linux was to make me shut up about IE vs. Mozilla, and it hadn't worked - I kept
pushing her to use open source tools, and they are unusable for her.

Bonita did file one actual bug report with bugzilla. That's the last she'll ever
do, because she found the whole process extremely confusing. I think the big
problem is that if you try to file a bug, and don't have a bugzilla account,
after your account is created, you're presented with the expert interface and
not the simplified one.

(Actually, maybe she didn't get it filed, I can't find it... I think I reported
it on IRC though, so maybe someone else filed it.)

I think it would be helpful if there was a dead-simple bug report form that just
had a couple lists for the platform and version, and one free-form text input
field where the reporter could describe their problem. Then the person who
fields the bug reports could translate this into a proper bugzilla report. Don't
present people who aren't developers with the bugzilla query page - like Bonita,
that will be the last report you ever get from a regular user.

It would also be very helpful if the very first page of the talkback wizard
presented the option of disabling it and making it just go away. Having to click
through several pages before being allowed to quit talkback is really
frightening for someone who just lost all their windows and just wants to launch
it again so they can find the pages that just disappeared from their screen.

Read more of what I have to say about the importance of quality in Free Software

Reproducible: Always

Steps to Reproduce:
1. Use Mozilla for a while, especially while developing a big website
2. Now use Internet Explorer for a while

Actual Results:  
Mozilla crashes from time to time, and exhibits UI bugs that make it unpleasant
to use.

Internet Explorer doesn't.

Expected Results:  
Mozilla will make my wife happy, because of its greater security, standards
complience, ease of use an reliability.

I'd like to suggest that you place a greater emphasis on reliability in your
development efforts, and save the effort to develop new features until the
product is more reliable.
Comment 1 John Levon 2002-11-27 09:04:09 PST
This is entirely inappropriate, and positively harmful. Please read
what Bugzilla is about Michael.

[btw: I will respond to some of your comments on advogato, which IS
a discussion forum. Bugzilla is NOT.]
Comment 2 Michael D. Crawford 2002-11-27 11:35:52 PST
I am very disappointed that this bug was marked as invalid.  I think that the
fact that was done is entirely inappropriate.

John, in you advogato diary at

you said the bug is marked invalid because

    * The report does not target exactly one problem
    * The report is vague
    * The report does not have a set of criteria by which it can be marked as
FIXED, and it cannot be VERIFIED 

I'm afraid that bugs of this nature are not so black-and-white that they can be
described precisely or have exact criteria as to when to know its fixed or how
to verify them.  It's a systemic problem.

And you should note that I filed the bug report under "Tech Evangelism".

My wife has been using mozilla for some time, and having a miserable time of it
but kept at it to some extent because I implored her of the importance of having
an open source browser succeed against the Microsoft juggernaut.  She's gotten
about to her limit with it and the only way I've convinced her to try again at
all is because of the hope that the bug might be fixed in 1.2.

Yet the release notes and slashdot article reports lots of grand new (and
somewhat dubious) new features, while many of the comments posted in the
Slashdot discussion itself report either that many significant old problems
remain unfixed, or significant problems have appeared.

It is hard for me to understand how you could make a major release with online
banking broken, especially given the effort so many people (users and
evangelists alike) have been going to to get major commercial websites to use
valid markup on their sites.

I tried to be polite in my original post on /. and here, but let me be a little
more blunt: if you fail to pay significantly more attention to quality problems,
your project will ultimately fail.  This will be especially so if you continue
to concentrate so heavily on significant new features, as the number of added
features increases the potential for bugs and the difficulty of fixing them far
out of proportion to the amount of code that goes into the features.

If you don't think I know what I'm talking about, have a look at my resume:

I've shipped a lot of products.  I've seen a lot of products succeed in the
marketplace.  I've also seen a lot of products fail, and some companies go
bankrupt and significant numbers of people lose their jobs.

You've got enough features already.  You need to be reaching the common people
who will ultimately be the bulk of your users.  But instead you are driving them

I imagine you would prefer that my wife and I report each of our bugs
individually.  We can certainly do that.  I don't think I can convince my wife
to do that, but I can file bugs for her.  However, I don't think filing the
individual bugs that each of us experience will fix what is a much higher-level
problem - inappropriate allocation of resources.

It will likely upset you, but I'm going to reopen this bug.  I would like to
suggest that those of you who are concerned with this issue either way post your
comments here.

I don't think the majority of mozilla developers read Advogato's recentlog.  But
they all read mozilla.

Thank you for your attention.

Comment 3 John Levon 2002-11-27 11:46:05 PST

> I'm afraid that bugs of this nature are not so black-and-white

Then it is not a "bug" in any useful manner for bmo. I'm lost on why
you're having trouble with this.

> And you should note that I filed the bug report under "Tech Evangelism".

Please read what that product is for, if you are able. To quote :

"Tech Evangelism:  For reporting web pages that need to be upgraded to support
web standards and Gecko-based browsers (more info)"

> If you don't think I know what I'm talking about, have a look at my resume:

*laughs*. Appeals to authority are a great way to not be taken seriously. Which
is oddly accurate, as your "report" can be summed up as "blah blah blah".

> But they all read mozilla.

What on earth are you talking about ? bmo is not slashdot, I would hope
that you haven't got them confused.

I'll let someone else invalid this one, so you don't go away with some
impression that you're doing something sensible and there is one lone
triager who disagrees.
Comment 4 seth arnold 2002-11-27 11:54:33 PST
I for one haven't experienced a single crash in _many_ months.

$ date
Wed Nov 27 11:51:26 PST 2002
$ ps aux | grep mozilla
sarnold  26405  0.1 17.2 117448 66636 ?      S    Nov13  31:30 /usr/lib/mozilla-

Being up for two weeks really isn't much of an accomplishment -- I restarted X
with a new window manager two weeks ago, so this isn't representative of my own
experiences. Normally, mozilla runs for months without problems.

If you find bugs that cause mozilla to crash, please file them. That is the only
way to get improvements.
Comment 5 Michael D. Crawford 2002-11-27 12:37:34 PST
I'm sorry if I upset any of you with what may have sounded like harsh criticism
for hard work a lot of people don't get paid for.

But please understand, I'm really trying to help.  I'm the one jumping up and
down to get my wife to understand the importance that Mozilla succeed.  It is a
critical application in the Open Source world.  It is more important that
Mozilla succeed than the vast majority of Open Source applications.

I do understand that people have variable experiences with Mozilla.  I use 1.1
all the time on Windows 2000, and I never experience crashes with it.  My wife
uses it six feet away on another Windows 2000 box, and she gets crashes often
enought to be really bothersome, and UI bugs enough that it disrupts her work

Yes, I will file reports for the bugs my wife and I experience.  However, that's
not what's going to solve the problem I'm reporting here.  You may well fix all
of my wifes bugs, and also fix those bugs for some other people, but lots of
other bugs will remain unfixed, and new ones will appear.  What I'm saying is
that the process that Bonita and I see, as users outside of your organization,
appears to be structured to encourage quality problems.

Yes, you need good, focus, reproducible and verifiable bug reports.  But that's
not the whole picture.  Simply trying hard isn't going to lower the asymptotic
limit of a product having a constant number of bugs.  Improving the whole
process by which the product is developed will.

I think the first part of that is for people to really have a deep understanding
of how important quality is.  Small quality defects affect your success in the
marketplace far out of proportion to the small inconveniences they cause - for
one thing, users who aren't committed to your community, who just want to get
work done, get really upset at even small things.  Secondly, people give up
trying.  Their problems don't get fixed because they aren't using your product

There are some software products I have used, commercial ones, that were so bad
that I never paid for an upgrade despite the publisher's promise that my
problems would be fixed.  My first experience destroyed my trust in the
publisher.  I went looking for competing products.  I'm trying to help that not
happen to you.

John has rather testily pointed out that this bug is off topic bother for
Mozilla as a whole and for Tech Evangelism in particular.  But I suggest that
the problem in that is not in my bug, but in there not being a selection in
Mozilla that would make it on-topic.  Tech Evangelism is the best I could do,
given the choices presented.  I think it would be a tragedy if I didn't report
this because there wasn't an appropriate component to file it under.

I know I could discuss it on one of your mailing lists or IRC, but I am on too
many mailing lists and am too busy with my work to take on another online
community.  My hope was to have this recorded and stimulate discussion among
yourselves that would hopefully lead to a fix to the problems that Bonita is having.

Let me suggest a couple of ways that this bug could be verified as fixed:

The simplest would be for Bonita to user Mozilla as her main browser for, say, a
month without any crashes or significant usability problems.

A better way would be to survey a broad sample of your users, and find out how
many of them, who weren't open source advocates to start with, use it as their
main browser and have done so for a month.  If your loss of userbase is very
small, among users who aren't committed to the product for some political
reason, then you should report this bug fixed.

Remember that Internet Explorer is able to keep 90% of the online users in the
entire world using their product continuously.  Bonita uses Mozilla not just
because I beg her to, but because she understands the importance of it, and why
IE is a bad choice, but she's given up on 1.1 and only ready to try again if I
can prove to her that all her bugs are fixed.  There's some signicant change
that needs to happen.

Please let me reiterate, I am not trying to anger or insult here.  I am trying
to help you understand a significant obstacle to your success, an obstacle that
is less tangible than one you would find in a talkback log.

Thank you.

Comment 6 Christian Schaller 2002-11-27 15:17:36 PST
Submitting 'We need a better world' bugs do not help make better software it only 
helps make bugzilla useless and cluttered. 
Comment 7 James Graham 2002-11-27 15:53:45 PST
Wow. If I had permissions, I would quite happily mark this bug as inavlid in a
second. I don't so I can't but here are some observations:
As an 'ordinary user' (i.e. not a Mozilla developer), I have used Mozilla for a
long time and never had serious problems with it. By direct analogy to your
situation I installed mozilla on my g/f's computer and she has managed to use it
without problems for several months.
There is a dedicated QA team on the Mozilla project, responsible for making sure
the product works well. If you feel they aren't doing their job, you can always
offer help. If you look, most crasher bugs get fixed quite quickly after being
Internet explorer is used my the majority of the population because it comes
with their computer / ISP package / etc. Nothing AOL, Netscape or
can do will change that. Using Mozilla as the AOL browser would help, but to
most people 'the Internet' and 'Internet Explorer' and synomyns.
Mozilla has security holes just like IE. I suspect they're less serious, but it
is far from perfect in this sense.
If the browser works consistently on one system and not on the other, then it is
more likely to be the system setup that is to blame. Have you reviwed the readme
notes for known issues or incomptabilitys? For example, installing directly over
an old build can cause many problems.
The first talkback screen does allow you to turn it off.

This bug report is totally useless and will be rightly marked invalid soon
(although perhaps worksforme would be better, since the browser does workforme).
I have no intention of commenting again. However, I will be happy to address any
remaining concerns via email. Also, if you wish to avoid IE, but are unhappy
with mozilla, there are several alternatives avaliable e.g. pheonix (based on
mozilla), Kmelon (using the Gecko engine), Opera (unrelated to Mozilla with no
code overlap) and probably many others. Feel free to use one of these if they
meet your requirements better.
Comment 8 Damien Miller 2002-11-27 16:01:43 PST
This "bug" is content-free, cannot be reproduced in any meaningful sense and is
inappropriate for bugzilla (use newsgroups or other fora). Somebody please mark
this as INVALID.

Michael, if you or your wife have issues, then please file *specific* bugs about
the *specific* problems that you encounter. Long-winded rants which offer no
insight into the nature of the problem(s) help nobody. You should know better.
Comment 9 John Levon 2002-11-27 16:17:54 PST
> I know I could discuss it on one of your mailing lists or IRC, but I am on too
> many mailing lists and am too busy with my work to take on another online

You know, it's interesting, but whenever projects get "helpful" comments
like this, sooner of later, a disclaimer like this rears its ugly head. I've
seen it time and time again. In the meantime, everyone else gets on with
the job at hand, diligently working away to help the project instead of hinder

>The simplest would be for Bonita to user Mozilla as her main browser

Feel free to open a bug on

> Tech Evangelism is the best I could do, given the choices presented.

Isn't this a hint to you such comments are not welcome on bmo (other than
the instructions directing you not to do so, which you have blithely ignored) ?

Christian, James, Damien, the bug is marked as "qawanted". It should become
INVALID again soon.
Comment 10 Bill Mason 2002-11-28 01:06:32 PST
Invalid.  Anyone confused by that can reread the comments.
Comment 11 Bill Mason 2002-11-28 01:06:52 PST
Comment 12 Bob Clary [:bc:] (pto 2016-10-20) 2003-06-18 05:52:59 PDT

Note You need to log in before you can comment on or make changes to this bug.